BasicTreeUI.TreeSelectionHandler (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicTreeUI.TreeSelectionHandler class
Date: 2020-03-26

javax.swing.plaf.basic

## Class BasicTreeUI.TreeSelectionHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicTreeUI.TreeSelectionHandler

- All Implemented Interfaces:
    EventListener, TreeSelectionListener
  Enclosing class:
    BasicTreeUI

      public class BasicTreeUI.TreeSelectionHandler
      extends Object
      implements TreeSelectionListener

  Listens for changes in the selection model and updates the display accordingly.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeSelectionHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `valueChanged(TreeSelectionEvent event)` Messaged when the selection changes in the tree we're displaying for.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeSelectionHandler

          public TreeSelectionHandler()

  - ### Method Detail

    - #### valueChanged

          public void valueChanged(TreeSelectionEvent event)

      Messaged when the selection changes in the tree we're displaying for. Stops editing, messages super and displays the changed paths.
      Specified by:
        `valueChanged` in interface `TreeSelectionListener`
      Parameters:
        `event` - the event that characterizes the change.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.